smile = imread('smile.tif');

smile1 = fftprep(smile);

smile2 = reduce(smile1);

smile_embed = fftprep(smile2,128);
smile_embed = fftshift(smile_embed);

smile_fft = fft2(smile_embed);
sqmod = smile_fft.*conj(smile_fft);
sqmod = fftshift(sqmod)/max(sqmod(:));

out = logim(sqmod,4);
imshow(out);